1. Occupation Profiles
IBISWorld API
  • Overview
    • ๐Ÿš€ Getting Started
    • ๐Ÿ“Š About IBISWorld
    • ๐ŸšฆRate Limits & Data Size
    • ๐ŸŒ API Uptime, SLA & Support
    • ๐Ÿ“Œ Versioning & API Changes
    • โ“Frequently Asked Questions (FAQs)
    • ๐Ÿ“ฐ API Release Notes
    • Authentication
      POST
  • How-To Guides
    • ๐Ÿ” How To: Convert ANZSIC โžœ IBISWorld Report
    • ๐Ÿ“ฅ How To: Download an IBISWorld PDF Report
  • Industry
    • Risk
      • Risk Reports List
      • Recently Updated Risk Reports List
      • Full Industry Risk Report
      • Sections of Risk Report
      • Early Warning System (EWS)
    • States (US) & Provinces (Canada)
      • Industry Reports List
      • Full Industry Report
      • Sections of Industry Report
    • Segment Benchmarking (US)
      • Full Segment Benchmarking Report
      • Sections of a Segment Benchmarking Report
    • ESG
      • Full ESG Report
      • Sections of ESG Report
    • Industry Reports List
    • Recently Updated Industry Reports List
    • Sections of Industry Report
    • Full Industry Report
    • One Section from Multiple Industry Reports
    • Industry Report Images
  • Classifications
    • List of Classification System Versions
    • List of Classification System Titles and Codes
    • Classification System to IBISWorld Report Concordance
    • IBISWorld Report to Classification System Concordance
  • Downloads
    • Download a Report
  • Business Environment Profiles
    • BED Reports List
    • Recently Updated BED Reports List
    • Full BED Report
    • Sections of BED Report
  • Company
    • Company Reports List (Australia)
    • Recently Updated Company Reports List
    • Full Company Report (Australia)
    • Sections of Company Report (Australia)
  • Procurement
    • Procurement Reports
    • Recently Updated Procurement Reports List
    • Sections of Procurement Report
  • Occupation Profiles
    • Occupation Report List
      POST
    • Recently Updated Occupation Report List
      POST
    • Full Occupation Report
      POST
    • Sections of Occupation Report
      POST
  • Schemas
    • classification_system_version
    • ibis_report_concordance
    • ibis_industry_report
    • ibis_industry_risk_report
    • ibis_bed_report
    • ibis_company_report
  1. Occupation Profiles

Full Occupation Report

POST
/occupation/v3/fullreport
Returns the complete wage profile for a US occupation across all geographic levels.
This endpoint provides wage data organized by geographic hierarchy:
National: US-wide wage averages
States: Wage data for all 50 states plus DC
Metropolitan Statistical Areas: Wage data for MSAs where the occupation is present
Each geographic entity includes four wage metrics: Average, Entry Level, Median, and Experienced hourly rates.

Request

Authorization
Add the parameter
Authorization
to Headers
๏ผŒwhose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Body Params application/jsonRequired

Example
{
    "Country": "US",
    "Code": "172011",
    "Language": "English"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.ibisworld.com/occupation/v3/fullreport' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "Country": "US",
    "Code": "172011",
    "Language": "English"
}'

Responses

๐ŸŸข200Success
application/json
Body

Example
{
    "Sections": [
        {
            "Title": "Aerospace Engineers"
        },
        {
            "PublicationDate": "2025-07-29T16:56:30"
        },
        {
            "ReportYear": 2025
        },
        {
            "Description": {
                "PlainText": "Perform engineering duties in designing, constructing, and testing aircraft, missiles, and spacecraft. May conduct basic and applied research to evaluate adaptability of materials and equipment to aircraft design and manufacture. May recommend improvements in testing equipment and techniques.",
                "HTML": "<p>Perform engineering duties in designing, constructing, and testing aircraft, missiles, and spacecraft. May conduct basic and applied research to evaluate adaptability of materials and equipment to aircraft design and manufacture. May recommend improvements in testing equipment and techniques.</p>"
            }
        },
        {
            "WageRates": {
                "National": [
                    {
                        "AreaCode": "N",
                        "AreaName": "National",
                        "Metrics": [
                            {
                                "Name": "Average",
                                "ID": "03",
                                "Unit": "$ per hour",
                                "DataPoints": [
                                    {
                                        "Year": 2024,
                                        "Value": 67.88
                                    }
                                ]
                            },
                            {
                                "Name": "Entry Level",
                                "ID": "07",
                                "Unit": "$ per hour",
                                "DataPoints": [
                                    {
                                        "Year": 2024,
                                        "Value": 50.36
                                    }
                                ]
                            },
                            {
                                "Name": "Median",
                                "ID": "08",
                                "Unit": "$ per hour",
                                "DataPoints": [
                                    {
                                        "Year": 2024,
                                        "Value": 64.82
                                    }
                                ]
                            },
                            {
                                "Name": "Experienced",
                                "ID": "09",
                                "Unit": "$ per hour",
                                "DataPoints": [
                                    {
                                        "Year": 2024,
                                        "Value": 83.88
                                    }
                                ]
                            }
                        ]
                    }
                ],
                "States": [
                    {
                        "AreaCode": "0100000",
                        "AreaShortName": "AL",
                        "AreaName": "Alabama",
                        "Metrics": [
                            {
                                "Name": "Average",
                                "ID": "03",
                                "Unit": "$ per hour",
                                "DataPoints": [
                                    {
                                        "Year": 2024,
                                        "Value": 65.49
                                    }
                                ]
                            },
                            {
                                "Name": "Entry Level",
                                "ID": "07",
                                "Unit": "$ per hour",
                                "DataPoints": [
                                    {
                                        "Year": 2024,
                                        "Value": 47.93
                                    }
                                ]
                            },
                            {
                                "Name": "Median",
                                "ID": "08",
                                "Unit": "$ per hour",
                                "DataPoints": [
                                    {
                                        "Year": 2024,
                                        "Value": 63.98
                                    }
                                ]
                            },
                            {
                                "Name": "Experienced",
                  
๐ŸŸ 403403
๐ŸŸข204204
๐ŸŸ 401401
Modified atย 2026-03-26 02:19:10
Previous
Recently Updated Occupation Report List
Next
Sections of Occupation Report
Built with